Subject: Re: BASH under B19
From: [email-masked] (Matt Stupple)

16 Apr 1998 14:34:41 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Bob McGowan <[email-masked]>
Cc: [email-masked]

Bob McGowan wrote:
> 
> I am a bit confused by the second paragraph.  In the usual DOS
> command.com and, I thought, in the cmd.exe of WinNT, a ^C is simply an
> interrupt.  Unlike UNIX, it cannot be changed, that I know of, by any
> simple command interface.  Regardless, it is just an interrupt and
> should stop a running process.  If the Cygwin stuff is supposed to
> maintain some compatability with the MS environment, then I do not see
> why it would be necessary or desireable to have new threads spawned by
> this key sequence.
> 

This is a straight copy from the MSVC help on the signal() function:

--
Note SIGINT is not supported for any Win32 application including Windows
NT and Windows 95. When a CTRL+C interrupt occurs, Win32 operating
systems generate a new thread to specifically handle that interrupt.
This can cause a single-thread application such as UNIX, to become
multithreaded, resulting in unexpected behavior. 
--

I know it doesn't make too much sense, but nonetheless, there it is....

> As an additional note, I am running WinNT 4.0 workstation with service
> pack 3 and have used ^C to stop processes, many times at least once, and
> a few times with multiple times, and have never had a hang or other
> problem.
> 
> Bob McGowan
> i'm bobmcgow at xstor dot com
> 
> -----Original Message-----
> From: Earnie Boyd [mailto:[email-masked]]
> Sent: Tuesday, April 07, 1998 11:29 AM
> To: Caspian Foxworth
> Cc: gw32
> Subject: Re: BASH under B19
> 
> To have tty support for the cygwin bash you need to add to the list of
> values for the CYGWIN32 environment variable "TTY" before you start
> bash.  This may cause problems for some non-cygwin programs.
> 
> The other problem is that ^C begins a new thread and the cygwinb19.dll
> is NOT thread safe.  So, you hit ^C once and you've got one unsafe
> thread, hit again then you've got another and so on.
> 
> -        \\||//
> ---o0O0--Earnie--0O0o----
> [email-masked]
> ------ooo0O--O0ooo-------
> 
> Check out these great gnu-win32 related sites:
> ftp://ftp.cygnus.com/pub/gnu-win32/latest/                  (ftp site)
> http://www.cygnus.com/pubs/gnupro/                    (Comercial Page)
> http://www.cygnus.com/misc/gnu-win32/                   (Project Page)
> http://www.cygnus.com/ml/gnu-win32                     (Mail Archives)
> http://www.itribe.net/virtunix/winhelp-man-pages/     (HTML Man Pages)
> http://www.lexa.ru/sos                               (Sergey Okhapkin)
> ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
> http://www.fu.is.saga-u.ac.jp/~colin/gcc.html           (Colin Peters)
> http://www.xraylith.wisc.edu/~khan/software/gnu-win32/    (Mumit Khan)
> http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
> http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)
> http://rcw.home.ml.org/                  (Rob Warner - software ports)
> http://www.wenet.net/~garbanzo/gnuwin32/     (more - software portals)
> http://www.wenet.net/~garbanzo/gnuwin32/rpm   (Redhat Package Manager)
> http://www.parallax.co.uk/~andyp/index_text.html  (Andy Piper - ports)
> http://www.tiac.net/users/cgf     (Christopher Faylor - package ports)
> ftp://ftp.franken.de/pub/win32/develop/gnuwin32/       (German mirror)
> http://www.dol.ru/users/valtul      (Valery Tulnikov - software ports)
> 
> SEARCH ENGINES WITH gnu-win32 mail archive RELATED INDICIES:
> http://www.progressive-comp.com/Lists/?l=gnu-win32&r=1&w=2#gnu-win32
> http://www.findmail.com
> http://www.search.com
> add gnu-win32 or gnuwin32 to the search criteria.
> 
> Help for Win32 Beginners: http://www.relisoft.com
> 
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
/\/\att Stupple    TIBCO, Gracechurch House, London EC3V OJA
[email-masked]    http://www.tibco.com/   +44(0)171 2956053
"I'm sleeping later, waking later
 I'm eating less and thinking more." -- EBTG.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".